<nz-layout>
  <nz-content class="no-margin">
    <div class="">
      <app-img-header></app-img-header>
    </div>
  </nz-content>

  <nz-content>
    <div class="inner-content">
      <div class="">
        <div nz-row>
          <div class="info">
            <h1>S'identifier</h1>
            <p class="lead">Vous n'avez pas encore de compte MyDevCommunity? <a [routerLink]="[ '/register']">S'inscrire
                maintenant!</a></p>
          </div>
        </div>

        <div nz-row>
          <!-- <div nz-col [nzSpan]="7"></div> -->
          <div nz-col [nzSpan]="24">
            <nz-card class="card-login center">
              <!-- START FORM LOGIN-->
              <form nz-form [formGroup]="validateForm" class="login-form" (ngSubmit)="submitForm()">
                <div nz-row>
                  <div nz-col nzSpan="24">
                    <nz-form-item>
                      <nz-form-control nzErrorTip="Veuillez saisir votre nom d'utilisateur !">
                        <nz-input-group class="log-input" nzPrefixIcon="user">
                          <input formControlName="email" id="email" nz-input formControlName="userName"
                            placeholder="Nom d'utilisateur / Email" />
                        </nz-input-group>
                      </nz-form-control>
                    </nz-form-item>
                  </div>
                </div>
                <div nz-row>
                  <div nz-col nzSpan="24">
                    <nz-form-item>
                      <nz-form-control nzErrorTip="Veuillez saisir votre mot de passe !">
                        <nz-input-group class="log-input" nzPrefixIcon="lock">
                          <input type="password" id="password" nz-input formControlName="password"
                            placeholder="Mot de passe" />
                        </nz-input-group>
                      </nz-form-control>
                    </nz-form-item>
                  </div>
                </div>
                <div nz-row>
                  <div nz-col nzSpan="12">
                    <label nz-checkbox formControlName="remember">
                      <span>Se souvenir de moi</span>
                    </label>
                  </div>
                  <div nz-col nzSpan="12">
                    <a [routerLink]="[ '/forgot-password']">Mot de passe oublié</a>
                  </div>
                </div><br>
                <div nz-row>
                  <div nz-col nzSpan="12" nzOffset="6">
                    <button nz-button nzType="primary" (click)="loadTwo()" [nzLoading]="isLoadingTwo">
                      <i nz-icon nzType="login"></i>Connexion
                    </button>
                  </div>
                </div>
                <p class="voffset5">
                  <button class="social-btn" nz-button nzType="default"><i nz-icon nzType="google"></i>Connexion avec Google</button>&nbsp;
                  <button class="social-btn" nz-button nzType="default"><i nz-icon nzType="github"></i>Connexion avec GitHub</button>
                <br>
                  <button class="social-btn" nz-button nzType="default"><i nz-icon nzType="facebook"></i>Connexion avec Facebook</button>
                </p>
              </form>
              <!-- END FORM LOGIN-->
            </nz-card>
          </div>
          <!-- <div nz-col [nzSpan]="8"></div> -->
        </div>

      </div>
    </div>
  </nz-content>
</nz-layout>